Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Interface GroovyObject

Method Summary
`MetaClass` | `getMetaClass()` Invokes the given method.
`Object` | `getProperty(String propertyName)` Invokes the given method.
`Object` | `invokeMethod(String name, Object args)` Invokes the given method.
`void` | `setMetaClass(MetaClass metaClass)` Invokes the given method.
`void` | `setProperty(String propertyName, Object newValue)` Invokes the given method.

Method Detail

### getMetaClass

    public MetaClass getMetaClass()

  Invokes the given method.
  param:
    name the name of the method to call
  param:
    args the arguments to use for the method call
  return:
    the result of invoking the method

### getProperty

    public Object getProperty(String propertyName)

  Invokes the given method.
  param:
    name the name of the method to call
  param:
    args the arguments to use for the method call
  return:
    the result of invoking the method

### invokeMethod

    public Object invokeMethod(String name, Object args)

  Invokes the given method.
  param:
    name the name of the method to call
  param:
    args the arguments to use for the method call
  return:
    the result of invoking the method

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

  Invokes the given method.
  param:
    name the name of the method to call
  param:
    args the arguments to use for the method call
  return:
    the result of invoking the method

### setProperty

    public void setProperty(String propertyName, Object newValue)

  Invokes the given method.
  param:
    name the name of the method to call
  param:
    args the arguments to use for the method call
  return:
    the result of invoking the method